// demoDisableVoicePromptsDlg.cpp : 实现文件
//

#include "stdafx.h"
#include "demoDisableVoicePromptsDlg.h"
#include "afxdialogex.h"
#include "HwmSdkAgent.h"

// demoDisableVoicePromptsDlg 对话框

IMPLEMENT_DYNAMIC(demoDisableVoicePromptsDlg, CDialogEx)

demoDisableVoicePromptsDlg::demoDisableVoicePromptsDlg(CWnd* pParent /*=NULL*/)
    : CDialogEx(demoDisableVoicePromptsDlg::IDD, pParent)
{

}

demoDisableVoicePromptsDlg::~demoDisableVoicePromptsDlg()
{
}

void demoDisableVoicePromptsDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialogEx::DoDataExchange(pDX);
    DDX_Control(pDX, IDC_CHECK_DISABLE_MUTE_PROMPT, m_disableMutePrompt);
}


BEGIN_MESSAGE_MAP(demoDisableVoicePromptsDlg, CDialogEx)
    ON_BN_CLICKED(IDOK, &demoDisableVoicePromptsDlg::OnBnClickedOk)
END_MESSAGE_MAP()

BOOL demoDisableVoicePromptsDlg::OnInitDialog()
{
    CDialog::OnInitDialog();
    return TRUE;
}
// demoDisableVoicePromptsDlg 消息处理程序

void demoDisableVoicePromptsDlg::OnBnClickedOk()
{
    hwmsdkagent::HwmVoicePromptsInfo info{};
    info.isDisableMutePrompt = (m_disableMutePrompt.GetCheck() == 1) ? true : false;

    int ret = hwmsdkagent::DisableVoicePrompts(&info);;
    if (hwmsdk::HWM_COMMON_SUCCESS != ret)
    {
        AfxMessageBox(_T("disable voice prompts error"));
        return;
    }
    CDialogEx::OnOK();
}
